<!DOCTYPE html>
<html lang="en">

<head>
    <%- include('./partials/head.ejs') %>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Settings</title>
        <link rel="stylesheet" href="/public/css/settingsStyle.css">

</head>

<body>
    <%- include('./partials/sidebar.ejs') %>
        <div class="page-content pt-3 pl-1 pr-1" id="content">
            <div class="container-fluid">
                <div class="row justify-content-md-center">
                    <div class="col-lg-8 pr-3">
                        <div class="d-md-flex">
                            <%- include('./partials/search.ejs') %>
                                <!-- </div> -->

                                <div class="col">
                                    <div class="container">
                                        <div class="row settingsNavbar">
                                            <div class="col-4">
                                                <p class="settings">Settings</p>
                                            </div>
                                            <div class="col">
                                                <ul class="nav justify-content-end">
                                                    <li class="nav-item">
                                                        <a class="nav-link tabColor" href="#"
                                                            onclick="accSecurityFunction()">Account &
                                                            Security</a>
                                                    </li>
                                                    <li class="nav-item">
                                                        <a class="nav-link tabColor" href="#"
                                                            onclick="privacyFunction()">Privacy</a>
                                                    </li>
                                                    <li class="nav-item">
                                                        <a class="nav-link tabColor" href="#"
                                                            onclick="notificationsFunction()">Notifications</a>
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="accSecurity">
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="container">
                                                    <div class="row">
                                                        <div class="col mainCardTitle">
                                                            <a>Email Address</a>
                                                        </div>
                                                        <div class="col sideCardTitle">
                                                            <a class="change changeEmail" href="#">Change</a>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col mainCard">
                                                            <p class="card-text">Add or delete email address in your
                                                                account
                                                            </p>
                                                        </div>
                                                        <div class="col-4 sideCard">
                                                            <a>Email address</a>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="boxsub">
                                                            <div class="row line">
                                                                <div class="col-7 submainCard">
                                                                    <a>Email Address you've added:</a>
                                                                </div>
                                                                <div class="col-4 subsideCard">
                                                                </div>
                                                            </div>
                                                            <div class="row">
                                                                <div class="col-7 submainCard">
                                                                    <p class="card-text currEmail">Ini emailnya</p>
                                                                    <input type="email" class="form-control" id="email"
                                                                        placeholder="Ini email" name="email">
                                                                </div>
                                                                <div class="col-4 subsideCard">
                                                                    <a class="change changeSubemail" href="#"
                                                                        onclick="myFunction()">Change
                                                                        Email</a>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="container">
                                                    <div class="row">
                                                        <div class="col mainCardTitle">
                                                            <a>Password</a>
                                                        </div>
                                                        <div class="col sideCardTitle">
                                                            <a class="change changePassword" href="#">Change</a>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col mainCard">
                                                            <p class="card-text">Use a unique password to protect your
                                                                account
                                                            </p>
                                                        </div>
                                                        <div class="col-4 sideCard">
                                                            <a>Last change in </a>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="boxSettingsPassword">
                                                            <div class="row submainCard">
                                                                <p>Create a new password that is at least 8 characters
                                                                    long:
                                                                </p>
                                                            </div>
                                                            <div class="row">
                                                                <form>
                                                                    <div class="form-group col-sm-6">
                                                                        <label class="formLabel">Type your current
                                                                            password</label>
                                                                        <input type="password" class="form-control">
                                                                    </div>
                                                                    <div class="form-group col-sm-6">
                                                                        <label class="formLabel">Type your new
                                                                            password</label>
                                                                        <input type="password" class="form-control">
                                                                    </div>
                                                                    <div class="form-group col-sm-6">
                                                                        <label class="formLabel">Retype your new
                                                                            password</label>
                                                                        <input type="password" class="form-control">
                                                                    </div>
                                                                    <button
                                                                        class="btn btn-primary rounded-pill saveButton"
                                                                        data-toggle="modal"
                                                                        data-target="#modalPassChanged">Save</button>

                                                                    <!-- Modal Password Changed -->
                                                                    <div class="modal fade" id="modalPassChanged"
                                                                        tabindex="-1"
                                                                        aria-labelledby="exampleModalLabel"
                                                                        aria-hidden="true">
                                                                        <div class="modal-dialog modal-dialog-centered">
                                                                            <div class="modal-content">
                                                                                <div class="modal-header">
                                                                                    <button type="button" class="close"
                                                                                        data-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                        <span
                                                                                            aria-hidden="true">&times;</span>
                                                                                    </button>
                                                                                </div>
                                                                                <div class="modal-body">
                                                                                    <span><i
                                                                                            class="fas fa-check-circle"></i></span>
                                                                                    <h4>Password Changed</h4>
                                                                                    <h6>Your password has been changed
                                                                                        successfully</h6>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>

                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="container">
                                                    <div class="row">
                                                        <div class="col mainCardTitle">
                                                            <a>Language</a>
                                                        </div>
                                                        <div class="col sideCardTitle">
                                                            <a class="change changeLanguage" href="#">Change</a>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col mainCard">
                                                            <p class="card-text">Select the language you use on Blogie
                                                            </p>
                                                        </div>
                                                        <div class="col-4 sideCard">
                                                            <a>English</a>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="boxSettingsLanguage">
                                                            <div class="row submainCard">
                                                                <p>Let us know which language you want to use on Blogie.
                                                                    You
                                                                    can
                                                                    change
                                                                    it
                                                                    back
                                                                    at any time.</p>
                                                            </div>
                                                            <div class="row">
                                                                <div class="form-check form-check-inline">
                                                                    <input class="form-check-input radio" type="radio"
                                                                        name="languageOptions" id="englishRadio"
                                                                        value="english">
                                                                    <label class="form-check-label"
                                                                        for="englishRadio">English</label>
                                                                </div>
                                                                <div class="form-check form-check-inline">
                                                                    <input class="form-check-input radio" type="radio"
                                                                        name="languageOptions" id="indonesianRadio"
                                                                        value="indonesian">
                                                                    <label class="form-check-label"
                                                                        for="indonesianRadio">Indonesia</label>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="container">
                                                    <div class="row">
                                                        <div class="col mainCardTitle">
                                                            <a>Profile Picture</a>
                                                        </div>
                                                        <div class="col sideCardTitle">
                                                            <a class="change changeProfpict" href="#">Change</a>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col mainCard">
                                                            <p class="card-text">Choose to show or hide your profile
                                                                picture
                                                                from
                                                                others
                                                            </p>
                                                        </div>
                                                        <div class="col-4 sideCard">
                                                            <a>Everyone</a>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="boxSettingsProfpict">
                                                            <div class="row submainCard">
                                                                <p>Who would you like to give permission to view your
                                                                    profile
                                                                    photo?
                                                                </p>
                                                            </div>
                                                            <div class="row">
                                                                <div class="form-check form-check-inline">
                                                                    <input class="form-check-input radio" type="radio"
                                                                        name="profpictOptions" id="everyoneRadio"
                                                                        value="everyone">
                                                                    <label class="form-check-label"
                                                                        for="everyoneRadio">Everyone</label>
                                                                </div>
                                                                <div class="form-check form-check-inline">
                                                                    <input class="form-check-input radio" type="radio"
                                                                        name="profpictOptions" id="followersRadio"
                                                                        value="followers">
                                                                    <label class="form-check-label"
                                                                        for="followersRadio">Followers</label>
                                                                </div>
                                                                <div class="form-check form-check-inline">
                                                                    <input class="form-check-input radio" type="radio"
                                                                        name="profpictOptions" id="noneRadio"
                                                                        value="none">
                                                                    <label class="form-check-label"
                                                                        for="noneRadio">None</label>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="container">
                                                    <div class="row">
                                                        <div class="col mainCardTitle">
                                                            <a>Close Account</a>
                                                        </div>
                                                        <div class="col sideCardTitle">
                                                            <a class="change changeCloseacc" href="#">Change</a>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col mainCard">
                                                            <p class="card-text">See your options and close your account
                                                                if
                                                                you
                                                                wish
                                                            </p>
                                                        </div>
                                                        <div class="col-4 sideCard">
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="boxSettingsCloseacc">
                                                            <div class="row submainCard">
                                                                <p>Tell us why you're closing your account:</p>
                                                            </div>
                                                            <div class="row">
                                                                <div class="form-check form-check-inline">
                                                                    <input class="form-check-input radio" type="radio"
                                                                        name="closeOptions" id="optionRadio1"
                                                                        value="duplicate">
                                                                    <label class="form-check-label" for="optionRadio1">I
                                                                        have a
                                                                        duplicate
                                                                        account</label>
                                                                </div>
                                                                <div class="form-check form-check-inline">
                                                                    <input class="form-check-input radio" type="radio"
                                                                        name="closeOptions" id="optionRadio2"
                                                                        value="novalue">
                                                                    <label class="form-check-label"
                                                                        for="optionRadio2">I'm
                                                                        not
                                                                        getting
                                                                        any
                                                                        value
                                                                        from my membership</label>
                                                                </div>
                                                                <div class="form-check form-check-inline">
                                                                    <input class="form-check-input radio" type="radio"
                                                                        name="closeOptions" id="optionRadio3"
                                                                        value="privacy">
                                                                    <label class="form-check-label" for="optionRadio3">I
                                                                        have a
                                                                        privacy
                                                                        concern</label>
                                                                </div>
                                                                <div class="form-check form-check-inline">
                                                                    <input class="form-check-input radio" type="radio"
                                                                        name="closeOptions" id="optionRadio4"
                                                                        value="unwanted">
                                                                    <label class="form-check-label"
                                                                        for="optionRadio4">I'm
                                                                        receiving
                                                                        unwanted
                                                                        contact</label>
                                                                </div>
                                                                <div class="form-check form-check-inline">
                                                                    <input class="form-check-input radio" type="radio"
                                                                        name="closeOptions" id="optionRadio5"
                                                                        value="other">
                                                                    <label class="form-check-label"
                                                                        for="optionRadio5">Other</label>
                                                                </div>
                                                                <form>
                                                                    <div class="form-group col-sm-6">
                                                                        <textarea type="reason" class="form-control"
                                                                            row="2"></textarea>
                                                                    </div>
                                                                    <button type="submit"
                                                                        class="btn btn-primary rounded-pill closeaccButton changeSubCloseacc saveButton">Close
                                                                        account</button>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="privacy">
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="row mainCardTitlePrivacy">
                                                    <p>Hide Posts from</p>
                                                </div>
                                                <div class="row subSettings">
                                                    <p>0 People</p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="row mainCardTitlePrivacy">
                                                    <p>Allow Replies</p>
                                                </div>
                                                <div class="row radioPrivacy subSettings">
                                                    <div class="form-check form-check-inline">
                                                        <input class="form-check-input radio" type="radio"
                                                            name="repliesOptions" id="nooneReplies"
                                                            value="nooneReplies">
                                                        <label class="form-check-label" for="nooneReplies">No
                                                            one</label>
                                                    </div>
                                                    <div class="form-check form-check-inline">
                                                        <input class="form-check-input radio" type="radio"
                                                            name="repliesOptions" id="followingReplies"
                                                            value="followingReplies">
                                                        <label class="form-check-label" for="followingReplies">From
                                                            People I
                                                            Follow</label>
                                                    </div>
                                                    <div class="form-check form-check-inline">
                                                        <input class="form-check-input radio" type="radio"
                                                            name="repliesOptions" id="everyoneReplies"
                                                            value="everyoneReplies">
                                                        <label class="form-check-label" for="everyoneReplies">From
                                                            Everyone</label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="row mainCardTitlePrivacy">
                                                    <p>Hide My Activities</p>
                                                </div>
                                                <div class="row radioPrivacy subSettings">
                                                    <div class="form-check form-check-inline">
                                                        <input class="form-check-input radio" type="radio"
                                                            name="repliesOptions" id="nooneHide" value="nooneHide">
                                                        <label class="form-check-label" for="nooneHide">No one</label>
                                                    </div>
                                                    <div class="form-check form-check-inline">
                                                        <input class="form-check-input radio" type="radio"
                                                            name="repliesOptions" id="followingHide"
                                                            value="followingHide">
                                                        <label class="form-check-label" for="followingHide">From People
                                                            I
                                                            Follow</label>
                                                    </div>
                                                    <div class="form-check form-check-inline">
                                                        <input class="form-check-input radio" type="radio"
                                                            name="repliesOptions" id="everyoneHide"
                                                            value="everyoneHide">
                                                        <label class="form-check-label" for="everyoneHide">From
                                                            Everyone</label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="row mainCardTitlePrivacy">
                                                    <p>Stop See Friend's Activity</p>
                                                </div>
                                                <div class="row radioPrivacy subSettings">
                                                    <div class="form-check form-check-inline">
                                                        <input class="form-check-input radio" type="radio"
                                                            name="repliesOptions" id="nooneSee" value="nooneSee">
                                                        <label class="form-check-label" for="nooneSee">No one</label>
                                                    </div>
                                                    <div class="form-check form-check-inline">
                                                        <input class="form-check-input radio" type="radio"
                                                            name="repliesOptions" id="followingSee"
                                                            value="followingSee">
                                                        <label class="form-check-label" for="followingSee">From People I
                                                            Follow</label>
                                                    </div>
                                                    <div class="form-check form-check-inline">
                                                        <input class="form-check-input radio" type="radio"
                                                            name="repliesOptions" id="everyoneSee" value="everyoneSee">
                                                        <label class="form-check-label" for="everyoneSee">From
                                                            Everyone</label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="notifications">
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="row mainCardTitlePrivacy">
                                                    <p>Profile</p>
                                                </div>
                                                <div class="row radioPrivacy subSettings">
                                                    <div class="form-check form-switch">
                                                        <input class="form-check-input" type="checkbox"
                                                            id="newFollowers" />
                                                        <label class="form-check-label" for="newFollowers">Your new
                                                            followers</label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="row mainCardTitlePrivacy">
                                                    <p>Conversations</p>
                                                </div>
                                                <div class="row radioPrivacy subSettings">
                                                    <div class="form-check form-switch">
                                                        <input class="form-check-input" type="checkbox"
                                                            id="notifMention" />
                                                        <label class="form-check-label" for="notifMention">Activity on
                                                            posts
                                                            and
                                                            comments
                                                            you're mentioned in</label>
                                                    </div>
                                                    <div class="form-check form-switch">
                                                        <input class="form-check-input" type="checkbox"
                                                            id="notifResponded" />
                                                        <label class="form-check-label" for="notifResponded">Activity on
                                                            posts
                                                            and
                                                            comments
                                                            you're responded to</label>
                                                    </div>
                                                    <div class="form-check form-switch">
                                                        <input class="form-check-input" type="checkbox"
                                                            id="notifComments" />
                                                        <label class="form-check-label" for="notifComments">Comments on
                                                            your
                                                            posts/label>
                                                    </div>
                                                    <div class="form-check form-switch">
                                                        <input class="form-check-input" type="checkbox"
                                                            id="notifLikes" />
                                                        <label class="form-check-label" for="notifLikes">Likes on your
                                                            posts</label>
                                                    </div>
                                                    <div class="form-check form-switch">
                                                        <input class="form-check-input" type="checkbox"
                                                            id="notifMentionPosts" />
                                                        <label class="form-check-label" for="notifMentionPosts">Mentions
                                                            in
                                                            posts
                                                            and
                                                            comments</label>
                                                    </div>
                                                    <div class="form-check form-switch">
                                                        <input class="form-check-input" type="checkbox"
                                                            id="notifResponse" />
                                                        <label class="form-check-label" for="notifResponse">Responses to
                                                            your
                                                            posts
                                                            and
                                                            comments</label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="row mainCardTitlePrivacy">
                                                    <p>Favourite Category</p>
                                                </div>
                                                <div class="row radioPrivacy subSettings">
                                                    <div class="form-check form-switch">
                                                        <input class="form-check-input" type="checkbox"
                                                            id="notifFavCategories" />
                                                        <label class="form-check-label" for="notifFavCategories">Update
                                                            your
                                                            favourite
                                                            category posts</label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="row mainCardTitlePrivacy">
                                                    <p>Friends Activity</p>
                                                </div>
                                                <div class="row radioPrivacy subSettings">
                                                    <div class="form-check form-switch">
                                                        <input class="form-check-input" type="checkbox"
                                                            id="notifFriendsAct" />
                                                        <label class="form-check-label" for="notifFriendsAct">Stop
                                                            receive
                                                            notifications
                                                            about friends activity</label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                        </div>
                        <%- include('./partials/rightNav.ejs') %>
                            <%- include('./partials/logout.ejs') %>
                                <%- include('./partials/term.ejs') %>
                                    <%- include('./partials/help.ejs') %>
                                        <%- include('./partials/about.ejs') %>
                    </div>
                </div>
            </div>
            <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
            <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
            <script src="/public/js/settings.js"></script>
            <%- include('./partials/script.ejs') %>
                <script>
                    document.querySelector(".accSecurity").style.display = "block";
                    document.querySelector(".privacy").style.display = "none";
                    document.querySelector(".notifications").style.display = "none";
                    document.querySelector(".boxsub").style.display = "none";
                    document.querySelector("#email").style.display = "none";
                    document.querySelector(".boxSettingsPassword").style.display = "none";
                    document.querySelector(".boxSettingsLanguage").style.display = "none";
                    document.querySelector(".boxSettingsProfpict").style.display = "none";
                    document.querySelector(".boxSettingsCloseacc").style.display = "none";
                </script>
</body>

</html>